Bug 562187 - rhnpush doesn't work with sha256 files on hosted
rhnpush doesn't work with sha256 files on hosted
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
540
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
: Regression
Depends On:
Blocks: 462714 sha256-feature 563609
  Show dependency treegraph
 
Reported: 2010-02-05 09:54 EST by Daniel Mach
Modified: 2014-07-04 09:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2010-02-05 09:54:09 EST
I use this code to detect server features:

ping_status, errmsg, headerinfo = rhnpush.rhnpush_v2.PingPackageUpload(self.url_v2).ping()                            if headerinfo.getheader("X-RHN-Check-Package-Exists"):
        self.features.add("check-pkg-flag")
    if ping_status == 200:
        self.features.add("upload-v2")

I'd also like to have have information that the sha256 feature exists so client (rhnpush) can use it or fall back to md5 (compatibility with older spacewalk servers).

Can you add "X-RHN-New-Checksums" header to ping() headers, please?
Comment 1 Daniel Mach 2010-10-22 04:10:00 EDT
Pushes to hosted do not work:
rhnpush --server=scripts.rhn.webdev.redhat.com --nullorg /mnt/redhat/brewroot/packages/yum/3.2.27/14.el6_0.1/data/signed/fd431d51/src/yum-3.2.27-14.el6_0.1.src.rpm --source
Internal server error 500 Internal Server Error
Error pushing /mnt/redhat/brewroot/packages/yum/3.2.27/14.el6_0.1/data/signed/fd431d51/src/yum-3.2.27-14.el6_0.1.src.rpm:  Error Message:
File-MD5sum
Error Class Code: 500
Error Class Info: Missing HTTP header information (500)

Adding the requested header to spacewalk and fixing rhnpush accordingly would do the job.
Comment 2 Daniel Mach 2010-10-22 04:16:05 EDT
just couple more details:

- hosted always expects md5sum on upload
- rhnpush now automatically chooses checksum type according rpm checksum
- different headers are sent

I use a workaround in pub - I force md5 on hosted.
Checksum feature detection would be much better IMO.
Comment 4 Jan Pazdziora 2010-10-27 09:48:55 EDT
Moving to product Satellite.

Note You need to log in before you can comment on or make changes to this bug.